Bug 734027 - Logging Broker Errors - missing parameters
Summary: Logging Broker Errors - missing parameters
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 2.1
: ---
Assignee: Alison Young
QA Contact: Petr Matousek
URL:
Whiteboard:
Depends On: 733205
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 08:54 UTC by Stanislav Graf
Modified: 2012-11-07 14:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-26 19:27:37 UTC


Attachments (Terms of Use)

Description Stanislav Graf 2011-08-29 08:54:58 UTC
Description of problem:
Command '/usr/sbin/qpidd --help' shows 'Logging sink options' and 'Logging options'. Messaging_Installation_Guide shows only 'Logging sink options'

Documentation:
http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/2.0/html/Messaging_Installation_Guide/sect-Messaging_Installation_Guide-Options_for_Running_the_Broker-Logging_Broker_Errors.html

Missing parameters in documentation:
/usr/sbin/qpidd --help
Logging options:
  -t [ --trace ]                          Enables all logging
  --log-enable RULE (notice+)             Enables logging for selected levels 
                                          and components. RULE is in the form 
                                          'LEVEL[+][:PATTERN]' Levels are one 
                                          of: 
                                           trace debug info notice warning 
                                          error critical
                                          For example:
                                          '--log-enable warning+' logs all 
                                          warning, error and critical messages.
                                          '--log-enable debug:framing' logs 
                                          debug messages from the framing 
                                          namespace. This option can be used 
                                          multiple times
  --log-time yes|no (1)                   Include time in log messages
  --log-level yes|no (1)                  Include severity level in log 
                                          messages
  --log-source yes|no (0)                 Include source file:line in log 
                                          messages
  --log-thread yes|no (0)                 Include thread ID in log messages
  --log-function yes|no (0)               Include function signature in log 
                                          messages
  --log-prefix STRING                     Prefix to append to all log messages

Logging sink options:
  --log-to-stderr yes|no (1)              Send logging output to stderr
  --log-to-stdout yes|no (0)              Send logging output to stdout
  --log-to-file FILE                      Send log output to FILE.
  --log-to-syslog yes|no (0)              Send logging output to syslog;
                                          customize using --syslog-name and 
                                          --syslog-facility
  --syslog-name NAME (qpidd)              Name to use in syslog messages
  --syslog-facility LOG_XXX (LOG_DAEMON)  Facility to use in syslog messages



Version-Release number of selected component (if applicable):
# qpidd --version
qpidd (qpidc) version 0.10
# rpm -qa | grep -i mrg
mrg-release-2.0.0-1.el6.noarch

documentation MRG 2.0

How reproducible:
100%

Steps to Reproduce:
1. Open documentation:
http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/2.0/html/Messaging_Installation_Guide/sect-Messaging_Installation_Guide-Options_for_Running_the_Broker-Logging_Broker_Errors.html
2. Compare documentation with '/usr/sbin/qpidd --help' output
  
Actual results:
Installation guide contains only 'Logging sink options'.

Expected results:
Installation guide contains 'Logging sink options' and 'Logging options'.

Additional info:

Comment 5 Petr Matousek 2011-11-09 09:50:02 UTC
The issue has been fixed

Messaging_User_Guide - Revision 2-7

-> VERIFIED

Comment 6 Lana Brindley 2012-01-26 19:27:37 UTC
This book is now available on redhat.com/docs. Please raise a new bug if you spot any issues.

Thanks,
LKB


Note You need to log in before you can comment on or make changes to this bug.